Difference between revisions of "Arch Rebar BentShape/fr"

From FreeCAD Documentation
Jump to: navigation, search
(Created page with "Category:Arch/fr")
(Updating to match new version of source page)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 +
<div class="mw-translate-fuzzy">
 
{{GuiCommandAddon/fr|Name=Arch Rebar BentShape|Name/fr=Armature cintrée|Workbenches=[[Arch Module/fr|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_Stirrup/fr|Armature en étrier]]}}
 
{{GuiCommandAddon/fr|Name=Arch Rebar BentShape|Name/fr=Armature cintrée|Workbenches=[[Arch Module/fr|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_Stirrup/fr|Armature en étrier]]}}
 +
</div>
  
 
==Description==
 
==Description==
  
 +
<div class="mw-translate-fuzzy">
 
L'outil {{KEY|[[Image:Arch_Rebar_BentShape.png|16px]] Armature cintrée}} permet à l'utilisateur de créer une armature cintrée dans l'élément structurel.
 
L'outil {{KEY|[[Image:Arch_Rebar_BentShape.png|16px]] Armature cintrée}} permet à l'utilisateur de créer une armature cintrée dans l'élément structurel.
 +
</div>
  
 +
This command is part of the [[Reinforcement Addon]], that you can install with the [[Addon Manager]], via the menu {{MenuCommand|Tools → Addon manager → Reinforcement}}.
 +
 +
[[Image:Arch_Rebar_BentShape_example.png|400px]]
 +
<div class="mw-translate-fuzzy">
 
[[Image:BentShapeRebar.png|800px]]
 
[[Image:BentShapeRebar.png|800px]]
 +
</div>
  
 
==Comment faire==
 
==Comment faire==
  
 +
<div class="mw-translate-fuzzy">
 
# Créer un élément [[Arch Structure/fr|structure]]
 
# Créer un élément [[Arch Structure/fr|structure]]
 
# Sélectionnez une face de la structure
 
# Sélectionnez une face de la structure
Line 21: Line 31:
 
# Cliquez sur {{KEY|OK}} ou {{KEY|Appliquer}} pour générer l'armature
 
# Cliquez sur {{KEY|OK}} ou {{KEY|Appliquer}} pour générer l'armature
 
# Cliquez sur {{KEY|Annuler}} pour quitter le panneau des tâches
 
# Cliquez sur {{KEY|Annuler}} pour quitter le panneau des tâches
 +
</div>
 +
 +
[[Image:BentShapeDialog.png|250px]]
 +
{{Caption|Taskview panel for the Arch Rebar BentShape tool}}
  
 
==Propriétés==  
 
==Propriétés==  
Line 35: Line 49:
 
* {{PropertyData/fr|Spacing}}: La distance entre les axes de chaque barre.
 
* {{PropertyData/fr|Spacing}}: La distance entre les axes de chaque barre.
  
 +
<div class="mw-translate-fuzzy">
 
==Script==
 
==Script==
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
L'outil {{KEY|[[Image:Arch_Rebar_BentShape.png|16px]] Armature cintrée}} peut être utilisé dans une [[macros/fr|macro]] et depuis la console python en utilisant la fonction suivante:
 
L'outil {{KEY|[[Image:Arch_Rebar_BentShape.png|16px]] Armature cintrée}} peut être utilisé dans une [[macros/fr|macro]] et depuis la console python en utilisant la fonction suivante:
 
+
</div>
 
{{Code|code=
 
{{Code|code=
makeBentShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, BentLength, BentAngle, Rounding, AmountSpacingCheck, AmountSpacingValue, Orientation, Structure, Facename)
+
Rebar = makeBentShapeRebar(f_cover, b_cover, l_cover, r_cover,
 +
                          diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
 +
                          structure=None, facename=None)
 
}}
 
}}
 +
 +
<div class="mw-translate-fuzzy">
 
* L'armature cintrée a quatre orientations différentes:
 
* L'armature cintrée a quatre orientations différentes:
 
** Bottom (fond)
 
** Bottom (fond)
Line 51: Line 72:
 
* Ici, l'argument CoverAlong a un type tuple.
 
* Ici, l'argument CoverAlong a un type tuple.
 
* Renvoie le nouvel objet Armature.
 
* Renvoie le nouvel objet Armature.
Exemple: Créer une armature cintrée.
+
</div>
 +
 
 +
=== Example ===
 
{{Code|code=
 
{{Code|code=
import Arch, BentShapeRebar
+
import FreeCAD, Arch, BentShapeRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=100.0)
+
 
structure.ViewObject.Transparency = 80
+
Structure = Arch.makeStructure(length=1000, width=1000, height=100)
 +
Structure.ViewObject.Transparency = 80
 
FreeCAD.ActiveDocument.recompute()
 
FreeCAD.ActiveDocument.recompute()
rebar = BentShapeRebar.makeBentShapeRebar(20, 20, 20, 20, 8, 20, 100, 135, 2, True, 10, "Bottom", structure, "Face1")
+
 
 +
Rebar = BentShapeRebar.makeBentShapeRebar(50, 20, 20, 20,
 +
                                          8, 40, 100, 135, 2, True, 4, "Bottom", Structure, "Face4")
 +
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)
 +
 
 +
Rebar2 = BentShapeRebar.makeBentShapeRebar(50, 40, 20, 20,
 +
                                          8, 20, 100, 135, 2, True, 4, "Bottom", Structure, "Face6")
 +
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)  
 
}}
 
}}
Modification des propriétés de l'armature cintrée.
+
 
 +
=== Edition of the rebar ===
 +
 
 +
You can change the properties of the rebar with the following function
 +
{{Code|code=
 +
editBentShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
 +
                  diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation,
 +
                  structure=None, facename=None)
 +
}}
 +
 
 +
* {{incode|Rebar}} is a previously created {{incode|BentShapeRebar}} object.
 +
* The other parameters are the same as required by the {{incode|makeBentShapeRebar()}} function.
 +
* {{incode|structure}} and {{incode|facename}} may be omitted so that the rebar stays in the original structure.
 +
 
 
{{Code|code=
 
{{Code|code=
 
import BentShapeRebar
 
import BentShapeRebar
BentShapeRebar.editBentShapeRebar(rebar, 50, 50, 50, 50, 12, 20, 100, 135, 2, True, 10, "Top")
+
 
 +
BentShapeRebar.editBentShapeRebar(Rebar, 50, 20, 20, 20,
 +
                                  12, 20, 100, 155, 2, True, 6, "Top")
 +
 
 +
BentShapeRebar.editBentShapeRebar(Rebar2, 50, 35, 20, 20,
 +
                                  12, 35, 100, 155, 2, True, 6, "Top")
 
}}
 
}}
 
+
<div class="mw-translate-fuzzy">
 
[[Category:Arch/fr]]
 
[[Category:Arch/fr]]
 +
</div>

Revision as of 18:28, 30 January 2019

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский

Arch Rebar BentShape.png Armature cintrée

Emplacement
Arch → Rebar tools
Atelier
Arch
Raccourci
None
Voir aussi
Armature en étrier
 
Cette commande fait partie de Reinforcement AddOn, Vous pouvez l'installer via le menu Outils → Addons Manager


Description

L'outil Arch Rebar BentShape.png Armature cintrée permet à l'utilisateur de créer une armature cintrée dans l'élément structurel.

This command is part of the Reinforcement Addon, that you can install with the Addon Manager, via the menu Tools → Addon manager → Reinforcement.

Arch Rebar BentShape example.png

BentShapeRebar.png

Comment faire

  1. Créer un élément structure
  2. Sélectionnez une face de la structure
  3. Puis sélectionnez Arch Rebar BentShape.png Armature cintrée à partir des outils d'armature
  4. Un panneau de tâches apparaîtra sur le côté gauche de l'écran comme indiqué ci-dessous BentShapeDialog.png
  5. Sélectionnez l'orientation souhaitée
  6. Donner les entrées comme le capot avant, le capot latéral gauche, le capot latéral droit, le capot inférieur, le capot supérieur, la longueur d'ancrage, l'angle de cintrage, l'arrondi et le diamètre des barres d'armature
  7. Sélectionnez le mode de distribution, soit la quantité ou l'espacement
  8. Si l'espacement est sélectionné, un utilisateur peut également choisir espacement personnalisé
  9. Le choix de la face sélectionnée est utilisé pour vérifier ou changer la face pour la distribution des barres d'armature
  10. Cliquez sur OK ou Appliquer pour générer l'armature
  11. Cliquez sur Annuler pour quitter le panneau des tâches

BentShapeDialog.png

Taskview panel for the Arch Rebar BentShape tool


Propriétés

  • DONNÉESOrientation: Il définit l'orientation de l'armature (comme fond, haut, droite et gauche).
  • DONNÉESFront Cover: La distance entre l'armature et la face sélectionnée.
  • DONNÉESLeft Cover: La distance entre l'extrémité gauche de l'armature et la face gauche de la structure.
  • DONNÉESRight Cover: La distance entre l'extrémité droite de l'armature et la face droite de la structure.
  • DONNÉESBottom Cover: La distance entre l'armature et la face inférieure de la structure.
  • DONNÉESTop Cover: La distance entre l'armature et la face supérieure de la structure.
  • DONNÉESAnchor Length: Il s'agit de la longueur de la forme courbée de l'armature .
  • DONNÉESBent Angle: Il définit l'angle de cintrage de l'armature.
  • DONNÉESAmount: La quantité de barres d'armature.
  • DONNÉESSpacing: La distance entre les axes de chaque barre.

Script

L'outil Arch Rebar BentShape.png Armature cintrée peut être utilisé dans une macro et depuis la console python en utilisant la fonction suivante:

Rebar = makeBentShapeRebar(f_cover, b_cover, l_cover, r_cover,
                           diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
                           structure=None, facename=None)
  • L'armature cintrée a quatre orientations différentes:
    • Bottom (fond)
    • Top (haut)
    • Right (droite)
    • Left (gauche)
  • Ajoute un objet armature cintrée à l'objet structurel donné.
  • Si aucun nom de Structure et Facename n'est donné, il prendra en entrée la face sélectionnée par l'utilisateur.
  • Ici, l'argument CoverAlong a un type tuple.
  • Renvoie le nouvel objet Armature.

Example

import FreeCAD, Arch, BentShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=100)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = BentShapeRebar.makeBentShapeRebar(50, 20, 20, 20,
                                          8, 40, 100, 135, 2, True, 4, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = BentShapeRebar.makeBentShapeRebar(50, 40, 20, 20,
                                           8, 20, 100, 135, 2, True, 4, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Edition of the rebar

You can change the properties of the rebar with the following function

editBentShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
                   diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation,
                   structure=None, facename=None)
  • Rebar is a previously created BentShapeRebar object.
  • The other parameters are the same as required by the makeBentShapeRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import BentShapeRebar

BentShapeRebar.editBentShapeRebar(Rebar, 50, 20, 20, 20,
                                  12, 20, 100, 155, 2, True, 6, "Top")

BentShapeRebar.editBentShapeRebar(Rebar2, 50, 35, 20, 20,
                                  12, 35, 100, 155, 2, True, 6, "Top")